=== debian/changelog ===
python-doc (1.4.0-4) unstable; urgency=low

  * Split off from primary python sources.
  * Now using pre-made documentation off FTP site rather than the TeX
    files from the Python sources.  This isn't as ideologically pure as
    compiling them from the original sources, but it works a lot better in
    practice.  The original files were in 5 or 6 different formats, took
    forever to process, and sometimes required non-free tools (such as
    FrameMaker).

 -- Klee Dienes <klee@debian.org>  Wed, 26 Feb 1997 22:19:57 -0500
