=== debian/control ===
Source: python-doc
Section: interpreters
Priority: optional
Maintainer: Klee Dienes <klee@debian.org>
Standards-Version: 2.1.1.0

Package: python-doc
Architecture: all
Suggests: python-base
Description: Documentation files for the scripting language Python.
 Documentation files for the scripting language Python.
